Deprecated repository?

Hi,

I have K6 working in an AzureDevOps pipeline, with the following code:


Now, this instruction :
is returning a “deprecatedrepo” version…
Get:1 https://dl.bintray.com/loadimpact/deb stable/main amd64 k6 amd64 0.31.1-2.deprecaterepo [1100 B]
Which the root reason is explained a bit below in the log:
[32m**The repo you are using for installing k6 is being shut down as a result of Bintray sunsetting its service on May 1st 2021.**e[0m
2021-04-27T14:35:21.4302491Z The k6 team has created a new package repository where future packages will be published.
2021-04-27T14:35:21.4303723Z In order to upgrade we recommend that you follow the new installation instructions at https://k6.io/docs/getting-started/installation/ and remove the Bintray repository and key as mentioned in the “Note about Bintray” section.

2021-04-27T14:35:21.4304806Z dpkg: error processing archive /var/cache/apt/archives/k6_0.31.1-2.deprecaterepo_amd64.deb (–unpack):

2021-04-27T14:35:21.4305595Z new k6 package pre-installation script subprocess returned error exit status 1

Where could we get the new repo? :slight_smile:

And I reply to myself…

just update the code with:
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys C5AD17C747E3415A3642D57D77C6C491D6AC1D69
echo “deb https://dl.k6.io/deb stable main” | sudo tee /etc/apt/sources.list.d/k6.list
sudo apt-get update
sudo apt-get install k6

1 Like

:+1: we intentionally “broke” the bintray packages a few days before bintray shut down, just so we can give people instructions in the error message on what’s happening and how to migrate to the new repo.

1 Like